      subroutine fillvalue2d(work2d_tmp,ncid,vid,indx,
     &                       record,typevar2d,typefile)      


      use Agrif_Util
#include "Param_BeforeCall_fillvalue2d.h"
      real, dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ Agrif_tabvars_i(
     &13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif_tabvars_i(14)%
     &iarray0) :: work2d_tmp
      integer(4) :: record
      integer(4) :: typevar2d
      integer(4) :: vid
      integer(4) :: ncid
      integer(4) :: indx
      integer(4) :: typefile
      

        call Sub_Loop_fillvalue2d(work2d_tmp,ncid,vid,indx,record,typeva
     &r2d,typefile, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarr
     &ay0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agri
     &f_tabvars_i(167)%iarray0, Agrif_tabvars_i(176)%iarray0, Agrif_tabv
     &ars_c(18)%carray2, Agrif_tabvars(78)%array2, Agrif_tabvars(79)%arr
     &ay2, Agrif_tabvars(80)%array2, Agrif_tabvars(81)%array2)

      end


#include "Sub_Loop_fillvalue2d.h"
      subroutine fillvalue3d(work3d_tmp,ncid,vid,indx,
     &                       record,typevar3d,typefile)      


      use Agrif_Util
#include "Param_BeforeCall_fillvalue3d.h"
      real, dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ Agrif_tabvars_i(
     &13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif_tabvars_i(14)%
     &iarray0,1:N) :: work3d_tmp
      integer(4) :: record
      integer(4) :: typevar3d
      integer(4) :: vid
      integer(4) :: ncid
      integer(4) :: indx
      integer(4) :: typefile
      

        call Sub_Loop_fillvalue3d(work3d_tmp,ncid,vid,indx,record,typeva
     &r3d,typefile, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarr
     &ay0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agri
     &f_tabvars_i(167)%iarray0, Agrif_tabvars_i(176)%iarray0, Agrif_tabv
     &ars_c(18)%carray2, Agrif_tabvars(78)%array2, Agrif_tabvars(79)%arr
     &ay2, Agrif_tabvars(81)%array2)

      end


#include "Sub_Loop_fillvalue3d.h"
      subroutine fillvalue3d_w(work3d_tmp,ncid,vid,indx,
     &                       record,typevar3d,typefile)      


      use Agrif_Util
#include "Param_BeforeCall_fillvalue3d_w.h"
      real, dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ Agrif_tabvars_i(
     &13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif_tabvars_i(14)%
     &iarray0,0:N) :: work3d_tmp
      integer(4) :: record
      integer(4) :: typevar3d
      integer(4) :: vid
      integer(4) :: ncid
      integer(4) :: indx
      integer(4) :: typefile
      

        call Sub_Loop_fillvalue3d_w(work3d_tmp,ncid,vid,indx,record,type
     &var3d,typefile, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%ia
     &rray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Ag
     &rif_tabvars_i(167)%iarray0, Agrif_tabvars_i(176)%iarray0, Agrif_ta
     &bvars_c(18)%carray2, Agrif_tabvars(78)%array2, Agrif_tabvars(79)%a
     &rray2, Agrif_tabvars(81)%array2)

      end


#include "Sub_Loop_fillvalue3d_w.h"
